/**
 * OpenGL RedBook Shader.
 * Example 7.8
 */
#version 330 core

layout (location = 0) in vec3 VertexPosition;
layout (location = 1) in vec3 VertexNormal;
layout (location = 2) in vec3 VertexColour;

uniform mat4 MVPMatrix;
uniform mat4 MVMatrix;
uniform mat3 NormalMatrix;

out vec4 Position;
out vec3 Normal;
out vec4 Colour;

void main() {
    Colour = vec4(0.5, 0.5, 0.5, 1.0f);
    Normal = NormalMatrix * VertexNormal;
    Position = MVMatrix * vec4(VertexPosition, 1);
    gl_Position = MVPMatrix * vec4(VertexPosition, 1);
}